JobSub - Bug #8186

inconsistent behavior with -G and jobsub_q
03/27/2015 10:54 AM - Dennis Box

Status: Closed Start date: 03/27/2015
Priority: Normal Due date:

Assignee: Parag Mhashilkar % Done: 0%
Category: Estimated time: 0.00 hour
Target version: v1.1.6 Spent time: 0.00 hour
First Occurred: Stakeholders:

Occurs In: v0.1.2

Description

From Tanya:

Hi,

I've not used jobsub for quite sometime, so let me know if | am doing something wrong.
I am on novagpvmO1, setup jobsub_client.

If | do:

jobsub_q -G mu2e

RESPONSE ERROR:

User authorization has failed: Error authorizing DN="/DC=gov/DC=fnal/O=Fermilab/OU=People/CN=Tanya
Levshina/CN=UID:tlevshin' for AcctGroup="mu2e’

JOBSUB SERVER CONTACTED : https:/fifebatch.fnal.gov:8443
JOBSUB SERVER RESPONDED : https:/fifebatchi.fnal.gov:8443
JOBSUB SERVER RESPONSE CODE : 401 (Failed)

JOBSUB SERVER SERVICED IN :1.18656611443 sec

JOBSUB CLIENT FQDN : novagpvmO1.fnal.gov

JOBSUB CLIENT SERVICED TIME : 27/Mar/2015 10:00:15

but this works:
jobsub_q -G mu2e --user rlc

JOBSUBJOBID USER SUBMITTED RUN_TIME ST PRI SIZE CMD
1150167.0@fifebatch2.fnal.gov ric 03/27 06:01 0+00:00:001 0 0.0
osgMonCheck.sh_20150327_060156_11532_0_1_wrap.sh
1150171.0@fifebatch2.fnal.gov ric 03/27 06:02 0+00:00:001 0 0.0
osgMonCheck.sh_20150327_060246_12777_0_1_wrap.sh
1150172.0@fifebatch2.fnal.gov ric 03/27 06:02 0+00:00:00H 0 0.0
osgMonCheck.sh_20150327_060256_13043_0_1_wrap.sh
1150173.0@fifebatch2.fnal.gov ric 03/27 06:03 0+00:00:001 0 0.0
osgMonCheck.sh_20150327_060301_13266_0_1_wrap.sh
1141245.0@fifebatchi.fnal.gov ric 03/26 12:05 0+00:00:00H 0 0.0
osgMonCheck.sh_20150326_120515_11891_0_1_wrap.sh
1149279.0@fifebatchi.fnal.gov ric 03/27 06:02 0+00:00:001 0 0.0

osgMonCheck.sh_20150327_060251_32656_0_1_wrap.sh

JOBSUB SERVER CONTACTED : https:/fifebatch.fnal.gov:8443
JOBSUB SERVER RESPONDED : https:/fifebatchi.fnal.gov:8443
JOBSUB SERVER RESPONSE CODE : 200 (Success)

JOBSUB SERVER SERVICED IN :2.02817893028 sec

JOBSUB CLIENT FQDN : novagpvmO1.fnal.gov

JOBSUB CLIENT SERVICED TIME : 27/Mar/2015 10:00:27

I am not in mu2e group in VOMS.
| found it strange.

Thanks,

Tanya

History

11/02/2020 1/2



https://fifebatch.fnal.gov:8443
https://fifebatch1.fnal.gov:8443
mailto:1150167.0@fifebatch2.fnal.gov
mailto:1150171.0@fifebatch2.fnal.gov
mailto:1150172.0@fifebatch2.fnal.gov
mailto:1150173.0@fifebatch2.fnal.gov
mailto:1141245.0@fifebatch1.fnal.gov
mailto:1149279.0@fifebatch1.fnal.gov
https://fifebatch.fnal.gov:8443
https://fifebatch1.fnal.gov:8443

#1 - 05/11/2015 01:50 PM - Parag Mhashilkar

- Target version changed from v1.1.2 to v1.1.3

#2 - 06/08/2015 04:40 PM - Parag Mhashilkar

- Target version changed from v1.1.3 to v1.1.4

#3 - 07/01/2015 12:15 PM - Dennis Box

- Target version changed from v1.1.4 tov1.1.5

jobsub_q has too strict of authorization policies. Unfortunately its all wrapped up in some 'cool' macros, putting off fixing it to 1.1.5

#4 - 07/28/2015 09:02 AM - Dennis Box

- Target version changed from v1.1.5to v1.1.6

#5 - 07/28/2015 02:44 PM - Dennis Box

can modify the check_auth decorator to always allow class 'job.AccountJobsResource' to do perform request._method GET . Not sure if this is too

hackish

#6 - 09/03/2015 10:38 PM - Dennis Box

- Status changed from New to Feedback
see branch 8186

#7 - 09/03/2015 10:53 PM - Dennis Box

- Assignee changed from Dennis Box to Parag Mhashilkar

#8 - 09/25/2015 11:30 AM - Dennis Box
- Status changed from Feedback to Closed
